%define		php_extension	xcache
###############################################################
Name:	 	php-%php_extension
Version:	1.2.2
Release:	alt1.M41.1
Group:		System/Servers
License:	BSD

Prereq:		php-libs = %php_version-%php_release

Source:		xcache.tar

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

Summary:	XCache opcode and variable cache for PHP

# Automatically added by buildreq on Wed Nov 22 2006
BuildRequires: php-devel

%description 
%summary

%prep
%setup -c

#patch -p1
#patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"

phpize
%configure
%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
#doc CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Fri Mar 18 2011 Timur Aitov <timonbl4@altlinux.org> 1.2.2-alt1.M41.1
- rebuild with new php version (4.4.8-alt1.M41.1)

* Thu Mar 06 2008 Denis Smirnov <mithraen@altlinux.ru> 1.2.2-alt1
- update to 1.2.2

* Thu Jul 05 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2.1-alt1
- new ini setting: xcache.admin.enable_auth = On
- remove/edit variable in admin page
- fast inc/dec was trying to break ro protection
- fixed compatibility issue for apache 1.x
- Garbage collector disabled when xcache.cacher set to off
- fix: Zend Optimizer compatibility issue
- fix: hits/misses was not updated
- fix: pass by reference for internal function was broken
- fix: xcache_set segfaults when xcache.var_size=0

* Thu May 24 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt4
- rebuild with new PHP

* Thu Apr 12 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt3
- rebuild with new PHP

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt2
- rebuild with new PHP

* Tue Feb 06 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt1
- upstream update to 1.2.0

* Wed Nov 22 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0.3-alt1
- first build for Sisyphus


